class WalletModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  WalletModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  WalletModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  int userId;
  double amount;
  double balance;
  int type;
  String flowNum;
  String descr;
  String userName;
  int rote;
  int businessType;
  String avatarUrl;
  String mobile;
  double income;
  double outcome;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.businessType,
      this.updateTime,
      this.updateBy,
      this.userId,
      this.amount,
      this.balance,
      this.type,
      this.flowNum,
      this.descr,
      this.userName,
      this.rote,
      this.avatarUrl,
      this.mobile,
      this.income,
      this.outcome,
  });

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    businessType = json['businessType'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    userId = json['userId'];
    amount = json['amount'];
    balance = json['balance'];
    type = json['type'];
    flowNum = json['flowNum'];
    descr = json['descr'];
    userName = json['userName'];
    rote = json['rote'];
    avatarUrl = json['avatarUrl'];
    mobile = json['mobile'];
    income = json['income'];
    outcome = json['outcome'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['businessType'] = this.businessType;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['userId'] = this.userId;
    data['amount'] = this.amount;
    data['balance'] = this.balance;
    data['type'] = this.type;
    data['flowNum'] = this.flowNum;
    data['descr'] = this.descr;
    data['userName'] = this.userName;
    data['rote'] = this.rote;
    data['avatarUrl'] = this.avatarUrl;
    data['mobile'] = this.mobile;
    data['income'] = this.income;
    data['outcome'] = this.outcome;
    return data;
  }
}
